WaitableBoolean (Mule ESB 2.2.1 API)
Keywords: org.mule.util.concurrent.WaitableBoolean class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util.concurrent
Class WaitableBoolean

    java.lang.Object
      org.mule.util.concurrent.SynchronizedVariable
          org.mule.util.concurrent.WaitableBoolean

All Implemented Interfaces:
  edu.emory.mathcs.backport.java.util.concurrent.Executor

    public class WaitableBoolean

extends SynchronizedVariable

Field Summary

Fields inherited from class org.mule.util.concurrent.SynchronizedVariable
`lock`

Constructor Summary
`WaitableBoolean(boolean initialValue)`
`WaitableBoolean(boolean initialValue, Object lock)`

Method Summary
`boolean` | `and(boolean b)`
`boolean` | `compareAndSet(boolean assumedValue, boolean newValue)`
`int` | `compareTo(boolean other)`
`int` | `compareTo(Object other)`
`int` | `compareTo(WaitableBoolean other)`
`boolean` | `complement()`
`boolean` | `equals(Object other)`
`boolean` | `get()`
`int` | `hashCode()`
`boolean` | `or(boolean b)`
`boolean` | `set(boolean newValue)`
`String` | `toString()`
`void` | `whenEqual(boolean condition, Runnable action)`
`void` | `whenFalse(Runnable action)`
`void` | `whenNotEqual(boolean condition, Runnable action)`
`void` | `whenTrue(Runnable action)`
`boolean` | `xor(boolean b)`

Methods inherited from class org.mule.util.concurrent.SynchronizedVariable
`execute, getLock`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WaitableBoolean

    public WaitableBoolean(boolean initialValue)

### WaitableBoolean

    public WaitableBoolean(boolean initialValue,
                           Object lock)

Method Detail

### compareTo

    public int compareTo(boolean other)

### compareTo

    public int compareTo(WaitableBoolean other)

### compareTo

    public int compareTo(Object other)

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### get

    public boolean get()

### set

    public boolean set(boolean newValue)

### compareAndSet

    public boolean compareAndSet(boolean assumedValue,
                                 boolean newValue)

### complement

    public boolean complement()

### and

    public boolean and(boolean b)

### or

    public boolean or(boolean b)

### xor

    public boolean xor(boolean b)

### whenTrue

    public void whenTrue(Runnable action)
                  throws InterruptedException

  Throws:
    `InterruptedException`

### whenFalse

    public void whenFalse(Runnable action)
                   throws InterruptedException

  Throws:
    `InterruptedException`

### whenEqual

    public void whenEqual(boolean condition,
                          Runnable action)
                   throws InterruptedException

  Throws:
    `InterruptedException`

### whenNotEqual

    public void whenNotEqual(boolean condition,
                             Runnable action)
                      throws InterruptedException

  Throws:
    `InterruptedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.